GPS_CLI(1)

NAME
gps_cli - command line for the GNAT Programming Studio

SYNOPSIS
gps_cli -Pproject[.gpr]

DESCRIPTION
This command line tool allows one to script the GNAT Programming Studio without a graphical environment.

-P project[.gpr], -Pproject[.gpr], --project=project[.gpr]
    path to the main GNAT project

-Xvariable=value
    set an external project variable

-lLANG:SCRIPT, --load=LANG:SCRIPT
    execute external SCRIPT in the language LANG

-v, --version
    show the version then exit -h, --help display usage then exit

SEE ALSO
gnat-gps (1), and various user guides in the /usr/share/doc/gnat-gps directory if the gnat-gps-doc Debian package is installed on your system.

AUTHOR
The GNAT Programming Studio has been written and is maintained by Ada Core Technologies. If you are interested in getting commercial support for this software, please contact sales@gnat.com. This manual page has been written by Nicolas Boulenguez <nicolas@debian.org> for Debian GNU/Linux.